#ifndef INJECTION_PUMP_GLOBAL_H
#define INJECTION_PUMP_GLOBAL_H

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"

#include "esp_err.h"

#include "driver/ledc.h"
#include "driver/uart.h"
#include "driver/gpio.h"

#include <stdio.h>
#include <math.h>
#include <string.h>


#define IO_PIN_SERIAL_TXD 43
#define IO_PIN_SERIAL_RXD 44
#define IO_PIN_ENABLE 0
#define IO_PIN_DIRECTION 1
#define IO_PIN_STEP 2

#define PI 3.1415926
extern double PUMP_DIAMETER;

#endif
