#include "injection_pump_global.h"
#include "injection_pump_controller.h"
#include "serial.h"

void gpio_init(void){

    gpio_reset_pin(IO_PIN_ENABLE);
    gpio_set_direction(IO_PIN_ENABLE, GPIO_MODE_OUTPUT);
    gpio_set_level(IO_PIN_ENABLE, 1);

    gpio_reset_pin(IO_PIN_DIRECTION);
    gpio_set_direction(IO_PIN_DIRECTION, GPIO_MODE_OUTPUT);
    gpio_set_level(IO_PIN_DIRECTION, 1);

}

void app_main(void)
{
    gpio_init();
    injection_pump_init();
    serial_init_and_start();
}
